Summary: Regina Rexx Interpreter
Name: Regina
Version: 2.0
Release: 4
Copyright: LGPL
Group: Development/Languages
Source: ftp://ftp.lightlink.com/pub/hessling/Regina/Regina-%{version}.tar.gz
Patch: Regina-2.0-redhat.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Regina is an implementation of a Rexx interpreter, mostly compliant with
the ANSI Standard for Rexx (1996).  It is also available on several other
operating systems. For more information on Rexx, visit http://www.rexxla.org

%package devel
Group: Development/Libraries
Summary: Development files for the Regina Rexx Interpreter

%description devel
Regina is an implementation of a Rexx interpreter, mostly compliant with
the ANSI Standard for Rexx (1996).  It is also available on several other
operating systems. For more information on Rexx, visit http://www.rexxla.org

This package contains development files (headers, library for static linking)
for Regina.

%prep
%setup -q
%patch -p1 -b .rh

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin $RPM_BUILD_ROOT%{prefix}/lib
%makeinstall
perl -pi -e "s,$RPM_BUILD_ROOT,,g" $RPM_BUILD_ROOT%{prefix}/share/rexx/*
ln -sf libregina.so.2.0 $RPM_BUILD_ROOT%{prefix}/lib/libregina.so.2
ln -sf libregina.so.2.0 $RPM_BUILD_ROOT%{prefix}/lib/libregina.so

%files
%defattr(-,root,root)
%{prefix}/bin/rexx
%{prefix}/bin/regina
%{_mandir}/man1/rexx.1*
%{prefix}/lib/libregina.so.*
%dir %{prefix}/share/rexx
%{prefix}/share/rexx/*

%files devel
%defattr(-,root,root)
%{prefix}/include/*
%{prefix}/lib/libregina.a
%{prefix}/lib/libregina.so

%post -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Dec  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Lots of fixes:
  - use buildroot
  - don't create the links in %%post, they belong into the RPM
  - handle compressed man pages
  - move devel files to a separate rpm
  - fix FHS-noncompliance (/usr/rexx -> /usr/share/rexx)
  - defattr
  - handle RPM_OPT_FLAGS
  - man pages and header files probably shouldn't be executable!

* Sun Dec 03 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- use "ln -sf"

* Wed Nov 29 2000 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- Linux/390 and RedHat 7 port
